#
# spec file for package ladspa-AMB
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ladspa-AMB
Version:        0.6.1
Release:        4.25
Summary:        LADSPA Ambisonics plugin
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://users.skynet.be/solaris/linuxaudio/
Source:         AMB-plugins-%{version}.tar.bz2
BuildRequires:  gcc-c++
Supplements:    ladspa
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides LADSPA (Linux Audio Developer's Simple Plug-in API)
plugins to implement Ambisonics effects.  Included are: mono and stereo
input panner, horizontal rotation, and square and hexagon horizontal decoders.

%prep
%setup -q -n AMB-plugins-%{version}

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
make %{?_smp_mflags} CXXFLAGS="%{optflags} -ggdb -fPIC"

%install
mkdir -p %{buildroot}%{_libdir}/ladspa
install -c *.so %{buildroot}%{_libdir}/ladspa

%files
%defattr(-,root,root)
%{_libdir}/ladspa
%doc AUTHORS COPYING README

%changelog
* Mon Mar  3 2014 tiwai@suse.de
- Run spec-cleaner
- Remove obsoleted autoreq/autoprov tags
* Wed Feb 26 2014 tiwai@suse.de
- correct license to GPL-2.0+
* Mon Dec 16 2013 tiwai@suse.de
- Initial version 0.6.1: split from ladspa package
